diff --git a/xsec/enc/OpenSSL/OpenSSLCryptoBase64.cpp b/xsec/enc/OpenSSL/OpenSSLCryptoBase64.cpp
index 2ad9da6e..a8ea9f1d 100644
--- a/xsec/enc/OpenSSL/OpenSSLCryptoBase64.cpp
+++ b/xsec/enc/OpenSSL/OpenSSLCryptoBase64.cpp
@@ -48,7 +48,7 @@ XERCES_CPP_NAMESPACE_USE
 //           Construction/Destruction
 // --------------------------------------------------------------------------------
 
-#if (OPENSSL_VERSION_NUMBER < 0x10100000L)
+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
 OpenSSLCryptoBase64::OpenSSLCryptoBase64() : mp_ectx(&m_ectx_store), mp_dctx(&m_dctx_store) { }
 OpenSSLCryptoBase64::~OpenSSLCryptoBase64() { }
 #else
diff --git a/xsec/enc/OpenSSL/OpenSSLCryptoBase64.hpp b/xsec/enc/OpenSSL/OpenSSLCryptoBase64.hpp
index c892eac4..82aeb0a1 100644
--- a/xsec/enc/OpenSSL/OpenSSLCryptoBase64.hpp
+++ b/xsec/enc/OpenSSL/OpenSSLCryptoBase64.hpp
@@ -205,7 +205,7 @@ private :
     EVP_ENCODE_CTX *mp_ectx;              // Encode context
     EVP_ENCODE_CTX *mp_dctx;              // Decode context
 
-#if (OPENSSL_VERSION_NUMBER < 0x10100000L)
+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
     EVP_ENCODE_CTX m_ectx_store;
     EVP_ENCODE_CTX m_dctx_store;
 #endif 
diff --git a/xsec/enc/OpenSSL/OpenSSLSupport.cpp b/xsec/enc/OpenSSL/OpenSSLSupport.cpp
index dfd37eb3..cf874f82 100644
--- a/xsec/enc/OpenSSL/OpenSSLSupport.cpp
+++ b/xsec/enc/OpenSSL/OpenSSLSupport.cpp
@@ -273,7 +273,7 @@ int ECDSA_SIG_set0(ECDSA_SIG *sig, BIGNUM *r, BIGNUM *s)
 
 #endif
 
-#if (OPENSSL_VERSION_NUMBER < 0x10100000L)
+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
 EvpEncodeCtxRAII::EvpEncodeCtxRAII() : mp_ctx(&mp_ctx_store) { };
 EvpEncodeCtxRAII::~EvpEncodeCtxRAII() { }
 #else
diff --git a/xsec/enc/OpenSSL/OpenSSLSupport.hpp b/xsec/enc/OpenSSL/OpenSSLSupport.hpp
index e3527fae..b5f67f26 100644
--- a/xsec/enc/OpenSSL/OpenSSLSupport.hpp
+++ b/xsec/enc/OpenSSL/OpenSSLSupport.hpp
@@ -88,7 +88,7 @@ public:
 
 private:
     EVP_ENCODE_CTX *mp_ctx;
-#if (OPENSSL_VERSION_NUMBER < 0x10100000L)
+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
     EVP_ENCODE_CTX mp_ctx_store;
 #endif    
 };
